> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch Virtual Account

> Patch Virtual Account API allows you to patch external id onto virtual account



## OpenAPI

````yaml openapi.json PATCH /bank/virtual/accounts/{account_number}
openapi: 3.0.0
info:
  title: virtual bank
  version: 1.0.0
  description: ''
servers:
  - url: https://test-api.sandbox.co.in
    description: test
  - url: https://api.sandbox.co.in
    description: prod
security: []
paths:
  /bank/virtual/accounts/{account_number}:
    parameters:
      - name: account_number
        in: path
        required: true
        schema:
          type: string
    patch:
      tags:
        - Accounts
      summary: Patch Virtual Account
      parameters:
        - name: x-api-key
          in: header
          schema:
            type: string
        - name: Authorization
          in: header
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                external_id:
                  type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  timestamp:
                    type: integer
                  transaction_id:
                    type: string
                  data:
                    type: object
                    properties:
                      '@entity':
                        type: string
                      account_number:
                        type: string
                      ifsc:
                        type: string
                      bank_name:
                        type: string
                      external_id:
                        type: string
                      status:
                        type: string
                      notes:
                        type: object
                        properties:
                          test1:
                            type: string
                      name:
                        type: string
                      created_at:
                        type: integer
                      updated_at:
                        type: integer
                  code:
                    type: integer

````